Skip to Content

cbETH API logo cbETH API

API for cbETH contracts. Every ABI item below is callable as its own Spectrum JSON-RPC method. See the Marketplace overview for how the method names are built.

Staking

Deployments

DeploymentChainAddressMethods
cbETH
cbeth
Ethereum0xbe9895…a4970410

Methods

Functions

Readallowancespectrum_cbeth_ethereum_cbeth_call_allowance

Fetches the allowance of an address for a spender

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_allowance",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001",
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
owneraddress
spenderaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadexchangeRatespectrum_cbeth_ethereum_cbeth_call_exchangeRate

Fetches the exchange rate

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_exchangeRate",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readnamespectrum_cbeth_ethereum_cbeth_call_name

Fetches the name of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_name",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readsymbolspectrum_cbeth_ethereum_cbeth_call_symbol

Fetches the symbol of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_symbol",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0string
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
Readdecimalsspectrum_cbeth_ethereum_cbeth_call_decimals

Fetches the decimals of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_decimals",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint8
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadtotalSupplyspectrum_cbeth_ethereum_cbeth_call_totalSupply

Fetches the totalSupply of the token

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_totalSupply",
  "params": {
    "args": []
  },
  "id": 1
}
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
ReadbalanceOfspectrum_cbeth_ethereum_cbeth_call_balanceOf

Fetches the balance of an address

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_call_balanceOf",
  "params": {
    "args": [
      "0x0000000000000000000000000000000000000001"
    ]
  },
  "id": 1
}
Inputs
NameType
accountaddress
Outputs
NameType
output_0uint256
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.

Events

EventExchangeRateUpdatedspectrum_cbeth_ethereum_cbeth_getLogs_ExchangeRateUpdated

The event emitted when the exchange rate is updated

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_getLogs_ExchangeRateUpdated",
  "params": {
    "args": [
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
oracleaddressyes
newExchangeRateuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
EventTransferspectrum_cbeth_ethereum_cbeth_getLogs_Transfer

The event emitted when a transfer is made

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_getLogs_Transfer",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
fromaddressyes
toaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.
EventApprovalspectrum_cbeth_ethereum_cbeth_getLogs_Approval

The event emitted when an approval is made

curl -X POST https://your-endpoint.simplystaking.xyz/v1 \
  -H "Content-Type: application/json" \
{
  "jsonrpc": "2.0",
  "method": "spectrum_cbeth_ethereum_cbeth_getLogs_Approval",
  "params": {
    "args": [
      null,
      null,
      null
    ],
    "fromBlock": "latest",
    "toBlock": "latest"
  },
  "id": 1
}
Event arguments
NameTypeIndexed
owneraddressyes
spenderaddressyes
valueuint256no
Try It
Demo endpoint: one request per second. Get your own endpoint for higher limits.